Loading...
Searching...
No Matches
RDMIF::Hydrophilic Class Reference

class for calculation of hydrophilic field of molecule More...

`#include <MIFDescriptors.h>`

## Public Member Functions

| Hydrophilic (const RDKit::ROMol &mol, int confId=-1, bool fixed=true, double cutoff=1.0)
| constructs Hydrophilic object from a molecule object
| ~Hydrophilic ()
double | operator() (double x, double y, double z, double thres) const

## Detailed Description

class for calculation of hydrophilic field of molecule

Definition at line 498 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## Hydrophilic()

RDMIF::Hydrophilic::Hydrophilic | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | bool | fixed = true,
|  | double | cutoff = 1.0 )

constructs Hydrophilic object from a molecule object

params:

Parameters

  mol | molecule object
  confId | conformation id which is used to get positions of atoms (default: -1)
  fixed | for some groups, two different angle dependencies are defined in GRID: one which takes some flexibility of groups (rotation/swapping of lone pairs and hydrogen) into account and one for strictly fixed conformations if true, strictly fixed conformations (default: fixed)
  cutoff | minimum cutoff distance [A] (default: 1.0)

## ~Hydrophilic()

RDMIF::Hydrophilic::~Hydrophilic | ( |  | ) |

inline

Definition at line 515 of file MIFDescriptors.h.

## Member Function Documentation

## operator()()

double RDMIF::Hydrophilic::operator() | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | thres ) const

The documentation for this class was generated from the following file:

- MIFDescriptors.h